"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = () => {
  let cache;
  let isValid;
  return {
    set: entries => {
      cache = entries;
      isValid = true;
      return entries;
    },
    get: () => cache,
    isValid: () => isValid,
    invalidate: () => {
      isValid = false;
    }
  };
};

exports.default = _default;
//# sourceMappingURL=cache.js.map